> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete cost alert

> Delete a Cost Alert



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json delete /cost_alerts/{cost_alert_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /cost_alerts/{cost_alert_token}:
    delete:
      tags:
        - CostAlerts
      summary: Delete cost alert
      description: Delete a Cost Alert
      operationId: deleteCostAlert
      parameters:
        - name: cost_alert_token
          in: path
          description: The token of the Cost Alert.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Cost Alert deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAlert'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - write
components:
  schemas:
    CostAlert:
      required:
        - created_at
        - email_recipients
        - interval
        - minimum_threshold
        - report_tokens
        - slack_channels
        - teams_channels
        - threshold
        - title
        - token
        - unit_type
        - updated_at
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
        title:
          type: string
          nullable: false
        email_recipients:
          type: array
          description: The email addresses that will receive the alert.
          nullable: false
          items:
            type: string
        slack_channels:
          type: array
          description: >-
            The Slack channels that will receive the alert. Make sure your slack
            integration is connected at
            https://console.vantage.sh/settings/slack.
          nullable: false
          items:
            type: string
        teams_channels:
          type: array
          description: >-
            The Microsoft Teams channels that will receive the alert. Make sure
            your teams integration is connected at
            https://console.vantage.sh/settings/microsoft_teams.
          nullable: false
          items:
            type: string
        created_at:
          type: string
          description: >-
            The date and time, in UTC, for when the alert was created. ISO 8601
            Formatted.
          nullable: false
          example: '2023-10-01T12:00:00Z'
        updated_at:
          type: string
          description: >-
            The date and time, in UTC, for when the alert was last updated. ISO
            8601 Formatted.
          nullable: false
          example: '2023-10-01T12:00:00Z'
        workspace_token:
          type: string
          description: The ID of the organization that owns the CostAlert.
          nullable: false
        interval:
          type: string
          description: >-
            The period of time used to compare costs. Options are 'day', 'week',
            'month', 'quarter'.
          nullable: false
        threshold:
          type: number
          description: The cost change threshold to alert on.
          nullable: false
        unit_type:
          type: string
          description: >-
            The unit type used to compare costs. Options are 'currency' or
            'percentage'.
          nullable: false
        minimum_threshold:
          type: number
          description: >-
            The minimum monetary amount threshold for percentage-based alerts.
            When set, alerts will only trigger if the cost change meets this
            minimum, even if the percentage threshold is exceeded.
          nullable: true
        report_tokens:
          type: array
          description: The tokens of the reports to alert on.
          nullable: false
          items:
            type: string
      description: CostAlert model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````